---
  # - debug: var: hostvars[inventory_hostname]

  - name: "importing global configuration"
    include_vars: vars/defaults/global.yml

  - name: "importing {{ cluster_name }} configuration"
    include_vars: vars/{{ cluster_name }}.yml

  - name: "importing {{datacenter|upper}} configuration"
    include_vars: vars/defaults/datacenter/{{datacenter|lower}}.yml

  - name: "importing {{security_zone|upper}} configuration"
    include_vars: vars/defaults/security_zone/{{security_zone|lower}}.yml

  - name: "importing {{network_zone|upper}} configuration"
    include_vars: vars/defaults/network_zone/{{network_zone|lower}}.yml

  - name: configure ui
    include_tasks: ui.yml

  - name: configure smtp
    include_tasks: smtp.yml

  - name: configure ntp
    include_tasks: ntp.yml

  - name: configure dns
    include_tasks: dns.yml

  - name: configure alert notifications
    include_tasks: alerts.yml

  - name: configure proxy
    include_tasks: proxy.yml

  - name: configure pulse
    include_tasks: pulse.yml

  # - name: configure authentication
  #   include_tasks: auth.yml
  #
  # - name: cluster role mappings
  #   include_tasks: roles.yml
